

#define TEX_POINTLIGHT 0
#define TEX_SPOTLIGHT  1
#define TEX_SPINLIGHT  2



#define MAP_WIDTH 64
#define MAP_HEIGHT 64

extern  u8  gMap[MAP_WIDTH][MAP_HEIGHT];

struct LIGHT
{
	float fRange;
	float fR,fG,fB;
	VEC2  vPos;
	int   nSubDivisions;
	float fAngle;
	int   nTexID;
};


u8		GetTile(float fX,float fY);
u8		GetTileI(int nX,int nY);
bool	IsTileSolid(u8 n);
bool	IsTileSolidToEnemy(u8 n);
void	ClearTile(float fX,float fY);
float	CastRay(VEC2 vOrigin, VEC2 vDir, float fMaxDist);